<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/barycent.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>barycent.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<code>#include &quot;petscblaslapack.h&quot;</code><br/>
<div class="dynheader">
Include dependency graph for barycent.c:</div>
<div class="dynsection">
<div class="center"><img src="barycent_8c__incl.png" border="0" usemap="#util_2barycent_8c_map" alt=""/></div>
<map name="util_2barycent_8c_map" id="util_2barycent_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="barycent_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="barycent_8c.html#ad0a1524c4a01bb63f99a577d30382c78">LAgesv_</a>&nbsp;&nbsp;&nbsp;dgesv</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">EXTERN_C_BEGIN EXTERN void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="barycent_8c.html#ab6488fd85731370ab297dee7f72ea230">LAgesv_</a> (const <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *, const <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *, PetscScalar *, const <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *, <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *, PetscScalar *, const <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *, <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">EXTERN_C_END int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90">barycent</a> (PetscReal *p, PetscReal *a, PetscReal *b, PetscReal *c, PetscReal *d, PetscReal *bary)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ad0a1524c4a01bb63f99a577d30382c78"></a><!-- doxytag: member="barycent.c::LAgesv_" ref="ad0a1524c4a01bb63f99a577d30382c78" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LAgesv_&nbsp;&nbsp;&nbsp;dgesv</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="barycent_8c_source.html#l00058">58</a> of file <a class="el" href="barycent_8c_source.html">barycent.c</a>.</p>

<p>Referenced by <a class="el" href="barycent_8c_source.html#l00090">barycent()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ac3e1493d687d06e1258e781a9fdf5a90"></a><!-- doxytag: member="barycent.c::barycent" ref="ac3e1493d687d06e1258e781a9fdf5a90" args="(PetscReal *p, PetscReal *a, PetscReal *b, PetscReal *c, PetscReal *d, PetscReal *bary)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EXTERN_C_END int barycent </td>
          <td>(</td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>d</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>bary</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="barycent_8c_source.html#l00090">90</a> of file <a class="el" href="barycent_8c_source.html">barycent.c</a>.</p>

<p>References <a class="el" href="gmshtoucd_8py_source.html#l00202">gmshtoucd::info()</a>, <a class="el" href="barycent_8c_source.html#l00058">LAgesv_</a>, <a class="el" href="griddata_8h_source.html#l00126">my_daxpy</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, and <a class="el" href="griddata_8h_source.html#l00093">ND</a>.</p>

<p>Referenced by <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, and <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="barycent_8c_ac3e1493d687d06e1258e781a9fdf5a90_cgraph.png" border="0" usemap="#barycent_8c_ac3e1493d687d06e1258e781a9fdf5a90_cgraph_map" alt=""></div>
<map name="barycent_8c_ac3e1493d687d06e1258e781a9fdf5a90_cgraph_map" id="barycent_8c_ac3e1493d687d06e1258e781a9fdf5a90_cgraph">
<area shape="rect" id="node3" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="125,5,240,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="barycent_8c_ac3e1493d687d06e1258e781a9fdf5a90_icgraph.png" border="0" usemap="#barycent_8c_ac3e1493d687d06e1258e781a9fdf5a90_icgraph_map" alt=""></div>
<map name="barycent_8c_ac3e1493d687d06e1258e781a9fdf5a90_icgraph_map" id="barycent_8c_ac3e1493d687d06e1258e781a9fdf5a90_icgraph">
<area shape="rect" id="node3" href="util_8h.html#a7613b5168812007047e19cf17cc3efa1" title="CalAfe2fe" alt="" coords="128,119,205,150"/><area shape="rect" id="node5" href="util_8h.html#ad3e7b439709d947546efecaf99da3759" title="CalAfe2sq" alt="" coords="125,173,208,203"/><area shape="rect" id="node45" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="264,226,352,257"/><area shape="rect" id="node7" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="257,173,359,203"/><area shape="rect" id="node40" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="260,119,356,150"/><area shape="rect" id="node9" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="409,173,495,203"/><area shape="rect" id="node11" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="545,173,615,203"/><area shape="rect" id="node13" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="664,119,803,150"/><area shape="rect" id="node15" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1027,145,1085,175"/><area shape="rect" id="node19" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="888,273,941,303"/><area shape="rect" id="node22" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="669,173,797,203"/><area shape="rect" id="node26" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="695,66,772,97"/><area shape="rect" id="node31" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="691,226,776,257"/><area shape="rect" id="node35" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="688,279,779,310"/><area shape="rect" id="node17" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1133,197,1184,227"/><area shape="rect" id="node28" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="852,66,977,97"/><area shape="rect" id="node42" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="413,119,491,150"/><area shape="rect" id="node47" href="writedatadat_8c.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="417,226,487,257"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab6488fd85731370ab297dee7f72ea230"></a><!-- doxytag: member="barycent.c::LAgesv_" ref="ab6488fd85731370ab297dee7f72ea230" args="(const PetscBLASInt *, const PetscBLASInt *, PetscScalar *, const PetscBLASInt *, PetscBLASInt *, PetscScalar *, const PetscBLASInt *, PetscBLASInt *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EXTERN_C_BEGIN EXTERN void LAgesv_ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscScalar *&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscScalar *&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *&nbsp;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a> *&nbsp;</td>
          <td class="paramname"></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

